.wp-block-lazyblock-cloud-tags {
	padding: 4rem 0;
	.main-info {
		display: flex;
		flex-direction: column;
		padding-bottom: 3rem;

		h2 {
			font-size: 3.8rem;
			color: var(--primary);
			font-family: var(--font-heading);
			font-weight: normal;
			margin: 0;
		}

		.description {
			font-size: 1.75rem;
			color: var(--text);
			font-weight: 300;
			line-height: 1.4;
		}
	}

	.cloud-scrolls {
		--gap: 20px;
		--scroll-distance: calc(-33.333% - (var(--gap) / 3));

		display: flex;
		flex-direction: column;
		gap: var(--gap);
		overflow: hidden;
		row-gap: 40px;
		padding: 3rem 0;

		.row {
			overflow: hidden;

			.row-wrapper {
				display: flex;
				gap: var(--gap);
				width: max-content;
				will-change: transform;
				animation: cloud-tags-scroll var(--speed, 28s) linear infinite;
			}

			.tag-item {
				background: var(--border);
				color: var(--primary);
				font-size: 1.2rem;
				font-weight: 100;
				white-space: nowrap;
				padding: 1rem;
			}
		}

		.row:nth-child(1) {
			--speed: 40s;
		}

		.row:nth-child(2) {
			--speed: 60s;
		}

		.row:nth-child(3) {
			--speed: 50s;
		}

		.row:nth-child(4) {
			--speed: 60s;
		}
	}
}

@keyframes cloud-tags-scroll {
	from {
		transform: translateX(0);
	}
	to {
		transform: translateX(var(--scroll-distance));
	}
}
